glibc-2.6 - Linux

This is a discussion on glibc-2.6 - Linux ; It seems that glibc says my header conllection is incomplete. It wants version.h in linux directory. How can I generated version.h using my kernel sources and move it to usr/include/linux ? So glibc-2.6 can compile. Bill...

+ Reply to Thread
Results 1 to 2 of 2

Thread: glibc-2.6

  1. glibc-2.6

    It seems that glibc says my header conllection is incomplete. It wants
    version.h in linux directory. How can I generated version.h using my kernel
    sources and move it to usr/include/linux ? So glibc-2.6 can compile.

    Bill



  2. Re: glibc-2.6

    Bill Cunningham schrieb:

    Bill,

    > It seems that glibc says my header conllection is incomplete. It wants
    > version.h in linux directory. How can I generated version.h using my kernel
    > sources and move it to usr/include/linux ? So glibc-2.6 can compile.


    on my Ubuntu I did a little search:

    $ locate linux/version.h
    /usr/include/linux/version.h
    $ dpkg -S /usr/include/linux/version.h
    linux-kernel-headers: /usr/include/linux/version.h

    So "linux-kernel-headers" is the appropriate package to install. The
    package name may depend on the distribution you are using.

    Regards
    Guido

    --
    http://www.bayernline.de/~gscholz/
    http://www.lug-burghausen.org/

+ Reply to Thread